<?php
$helper = $this->helper('MGS\Blog\Helper\Data');
$collection = $block->getPostCollection();
?>

<div class="content-block blog-block blog-grid-block">
	<?php if (count($collection)): ?>
		<?php
		$themeHelper = $this->helper('MGS\Mpanel\Helper\Data');
			$lazyLoad = $themeHelper->getStoreConfig('mgstheme/general/lazy_load');
			$lazyLoad = false;
			$baseImage = $this->getViewFileUrl('MGS_Mpanel::images/blank.png');
			$blockId = rand() . time();
			$showShortContent = $this->getConfig('show_short_content');
			$viewAs = $this->getConfig('view_as');
			$showThumbnail = $this->getConfig('show_thumbnail');
			$perRow = $this->getConfig('items', 5);
			$col = $themeHelper->convertPerRowtoCol($perRow);
		?>


			<!-- New Blog Section -->
			<div class="latest-items">
        <h2 class="heading-title"><?php echo __('ARTICLES FROM OUR EXPERTS'); ?></h2>
				<div class="row">
					<div class="js-blog-home owl-carousel">
						<?php $i=0; $j=0; foreach ($collection as $post): $i++ ;

            ?>
						<div class="col-xs-10 col-xs-offset-1 col-sm-offset-0 col-sm-12">
							<div class="latest-view">
								<img class="latest-view-img img-responsive" src="<?php echo $post->getThumbnailUrl(); ?>" alt="<?php echo $post->getTitle(); ?>">
								<div class="latest-view-data">
									<h3 class="latest-view-title equalHeight"><?php echo $post->getTitle(); ?></h3>
									<?php echo $post->getShortContent(); ?>
									<a href="<?php echo $helper->getPostUrl($post); ?>" class="latest-view-btn btn btn-primary">Read More</a>
								</div>
							</div>
						</div>
						<?php endforeach ?>

	        </div>
				</div>

				<a href="<?php echo $block->getUrl('blog'); ?>" class="more-articles">View More Articles <i class="pe-7s-angle-right"></i></a>
      </div>


	<?php else: ?>
		<div role="alert" class="alert alert-warning"> <?php echo __('There are no posts matching the selection.') ?> </div>
	<?php endif; ?>
</div>
